{% extends 'index.html' %}
{% load static %}

{% block title %}Отзывы{% endblock title %}

{% block header-css-nocompress %}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.min.css" />
{% endblock %}

{% block page %}
  <div id="reviews" class="reviews" v-cloak>
    <div class="section section_default">
      <div class="section__content">
        <div class="section__header header header_listing">
          <div class="header__main">
            <h1>Отзывы<span class="section__count"> ${count}</span></h1>
          </div>
          {% if not request.user.is_expert %}
            <div class="header__controls">
            <div class="field">
              <div class="control control_default control_m">
                <input v-model="searchQueryGlobal" class="global_search" v-on:keyup.enter="handleGlobalSearchQuery" type="text" placeholder="Поиск по эксперту">
                <div v-on:click="handleGlobalSearchQuery"  class="control__icon control__icon--button icon icon_24 icon_default">
                  <svg>
                    <use xlink:href="#icon_search_24"></use>
                  </svg>
                </div>
              </div>
            </div>
            <div class="header__right-bar-toggle right-bar-toggle btn btn_m btn_white btn_square">
              <div class="btn__icon icon icon_24">
                <svg>
                  <use xlink:href="#icon_filter_24"></use>
                </svg>
              </div>
              <div v-show="filterCount > 0" class="btn__count">${ filterCount }</div>
            </div>
          </div>
          {% endif %}
        </div>
        <div class="section__body">
          <template v-if="objects.length !== 0">
            <div class="review__block" v-for="review in objects">
              {% include 'reviews/reviews.html' %}
            </div>
          </template>
          <template v-else-if="objects.length === 0 && !loading">
            <div class="empty__reviews">
              <h2>У Вас пока-что нет отзывов</h2>
            </div>
          </template>
          {% include 'paginator.html' %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block body %}
  {{ block.super }}
  <div class="right-bar">
    <div class="right-bar__overlay"></div>
    <div class="right-bar__box">
      <div class="right-bar__scroll">
        <div class="right-bar__content">
          <div class="filter">
            <div id="filter" class="filter">
              <form class="form form_filter">
                <div class="fieldset fieldset_filter">
                  <div class="filter-title">
                    <span class="filter-title__back"></span>
                    ${filterTitle}
                  </div>
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">сортировка</label>
                    <div class="control control_default control_m">
                      <div class="m-select__btn" @click="sortOpen('true')"></div>
                      <select v-select2="sortkey" v-model="sortkey">
                        <option value="-rating">по убыванию рейтинга</option>
                        <option value="rating">по возрастанию рейтинга</option>
                      </select>
                    </div>
                  </div>
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">Филиал</label>
                    <div class="control control_default control_m">
                      <select v-select2="filial">
                        <option disabled="disabled" selected="selected"></option>
                        <option v-for="f in filials" :value="f.id" :selected="f.id == filial">${ f.name }</option>
                      </select>
                    </div>
                  </div>
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">исполнитель</label>
                    <div class="control control_default control_m">
                      <select v-select2="executor">
                        <option disabled="disabled" selected="selected"></option>
                        <option 
                          v-for="e in executors" 
                          v-if="in_array(e.filial_in, filial)"
                      
                          :value="e.id" 
                          :selected="e.id == executor">${ e.first_name } ${ e.last_name }
                        </option>
                      </select>
                    </div>
                  </div>
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">по рейтингу</label>
                    <div class="grid grid_2 grid_s">
                      <div class="control control_default control_m">
                        <select v-select2="rating__gte" v-model="rating__gte">
                          <option disabled="disabled" value="">от</option>
                          <option v-for="review in reviewsRange.options0" :value="review">${ review }</option>
                        </select>
                      </div>
                      <div class="control control_default control_m">
                        <select v-select2="rating__lte" v-model="rating__lte">
                          <option disabled="disabled" value="">до</option>
                          <option v-for="review in reviewsRange.options1" :value="review">${ review }</option>
                        </select>
                      </div>
                    </div>
                  </div>
                  <div class="fieldset__item filter-btn__dest">
                    <button class="form__btn btn btn_default btn_s btn_block">
                      <div class="btn__grid">
                        <div class="btn__title">Сбросить фильтр</div>
                      </div>
                    </button>
                  </div>
                  <div class="filter-btn__mob">
                    <button class="filter-btn cancel">
                        сбросить
                    </button>
                    <div @click="closeFilter()" class="filter-btn success">
                        Готово
                    </div>
                  </div>
                </div>
              </form>
            </div>
            <script>
              $(document).ready(function () {
                  $('.filter select').select2({});
              });
            </script>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script>
    var store = {
      state: {
        filter: '',
        filterCount: 0
      }
    }

  </script>
  <script src="{% static 'js/reviews.bundle.js' %}"></script>
  <script src="{% static 'js/reviewsfilter.bundle.js' %}"></script>
{% endblock %}

{% block script-nocompress %}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.js"></script>
{% endblock %}